Fetches a list of EVSEs.
curl --request GET \
--url https://api.spirii.com/v2/evses \
--header 'Authorization: <api-key>'import requests
url = "https://api.spirii.com/v2/evses"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.spirii.com/v2/evses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uid": 123456,
"evseId": "DK.12343*1",
"chargeboxId": 123,
"status": "CHARGING",
"connectors": [
{
"id": 1,
"standard": "CHADEMO",
"format": "SOCKET",
"powerType": "DC",
"maxElectricPower": 22,
"maxAmperage": 32,
"maxVoltage": 400,
"tariffIds": [
"58652fe8-d840-4aa4-bb4f-3ebd944df9d6"
],
"error": {
"errorCode": "UnderVoltage",
"info": "NO_VOLTAGE_L2_L3",
"vendorErrorCode": "134217728"
},
"deletedAt": "2025-01-27 09:38:41"
}
]
}
],
"nextPageCursor": "My0xMDAw",
"previousPageCursor": "My0xMDAw"
}Fetches a list of EVSEs.
GET
/
v2
/
evses
Fetches a list of EVSEs.
Authorizations
Authorization: Bearer <SPIRII_API_KEY>
Query Parameters
Cursor to be used to request the next page.
Example:
"My0xMDAw"
Cursor to be used to request the previous page.
Example:
"My0xMDAw"
Limit amount of returned records.
Required range:
1 <= x <= 100List of UIDs the uniquely identify the EVSEs
Example:
[123, 456]
List of IDs that uniquely identifies the charge boxes on which the EVSE is found
Example:
[123, 456]
Was this page helpful?